> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-windows-client-guide/v20/using-parallels-client-for-windows/parallels-client-command-line-parameters/managing-a-single-user-session-from-the-command-line.md).

# Managing a single user session from the command line

The following Parallels Client for Windows parameters are available when launching published application and published desktop in a single client session from the command line.

| Parameters                                                                                                 | Note                                                                   |
| ---------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------- |
| s!='primary server'                                                                                        | Primary Server hostname or IP address.                                 |
| b!='backup server'                                                                                         | Secondary Server hostname or IP address.                               |
| a!='application/desktop id'                                                                                | Published Application/Desktop ID.                                      |
| p!='override application params'                                                                           |                                                                        |
| t!='port'                                                                                                  | Port of the Parallels RAS server connection.                           |
| u!='username'                                                                                              | Username for the user to connect with.                                 |
| q!='password'                                                                                              | Password for the user.                                                 |
| d!='domain' ignored if user name is in UPN format                                                          | Domain name.                                                           |
| l!='0/1' 0 use primary server, 1 user backup server                                                        | Specify value  in order to connect either to primary or backup server. |
| m!='connection mode' (gateway mode = 0, direct mode 1, gateway ssl mode = 2, direct ssl = 3, direct rdp=4) | Specify value for  the connection mode.                                |
| o!='0/1' if set to 1 credentials are overwritten with SSO information if available                         | When set to 1, credentials are overwritten with SSO credentials.       |
| i!='connection alias'                                                                                      | Specify a connection Alias.                                            |
| c!                                                                                                         | Always ask for credentials.                                            |
| r!                                                                                                         | Reconnect if connection is dropped .                                   |

## **Example**

1. In Command Prompt, go to the location were Parallels Client is installed and run the following command:

   ```
   TSClient.exe s!='2008ad1.2x.testing' a!='#50' t!='80' d!='2x.testing' u!='testerjm'q!='123456'  m!='0'
   ```

Running the above command will launch Published application with ID92, for user testerjm.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-client-guide/v20/using-parallels-client-for-windows/parallels-client-command-line-parameters/managing-a-single-user-session-from-the-command-line.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
